package com.casic.missiles.service.finance;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.finance.SettlementInfoListRequest;
import com.casic.missiles.dto.finance.SettlementInfoListResponse;
import com.casic.missiles.model.finance.FinanceBusinessSettlementInfo;

import java.util.List;

/**
 * <p>
 * 业务结算表-未在合同里的委托书收款信息 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2023-03-31
 */
public interface IFinanceBusinessSettlementInfoService extends IService<FinanceBusinessSettlementInfo> {

    Page<SettlementInfoListResponse> listPage(SettlementInfoListRequest request, Page<SettlementInfoListResponse> page);

    List<SettlementInfoListResponse> list(SettlementInfoListRequest request);

    ReturnDTO addSettlement(FinanceBusinessSettlementInfo settlementInfo);

    ReturnDTO updateSettlement(FinanceBusinessSettlementInfo settlementInfo);

    ReturnDTO settlementDetail(Long id);

    List<SettlementInfoListResponse> listBySettlementIds(List<Long> ids);

    Integer selectCompleteAmount(String year);
}
